/*
 * Class WEL_NM_UP_DOWN_CONTROL
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_826 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_826 [] = {0xFF01,1551,825,0xFFFF};
static const EIF_TYPE_INDEX egt_2_826 [] = {0xFF01,825,0xFFFF};
static const EIF_TYPE_INDEX egt_3_826 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_826 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_826 [] = {0xFF01,825,0xFFFF};
static const EIF_TYPE_INDEX egt_6_826 [] = {0xFF01,825,0xFFFF};
static const EIF_TYPE_INDEX egt_7_826 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_826 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_826 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_826 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_826 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_826 [] = {0xFF01,825,0xFFFF};
static const EIF_TYPE_INDEX egt_13_826 [] = {0xFF01,1376,0xFFFF};


static const struct desc_info desc_826[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_826), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_826), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_826), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_826), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_826), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_826), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_826), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_826), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_826), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_826), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_826), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_826), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0673 /*825*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_826), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19238, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_826), 19233, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19234, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19236, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19237, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19239, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19240, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19241, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19242, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19244, 0xFFFFFFFF},
};
void Init826(void)
{
	IDSC(desc_826, 0, 825);
	IDSC(desc_826 + 1, 1, 825);
	IDSC(desc_826 + 32, 791, 825);
	IDSC(desc_826 + 34, 1359, 825);
	IDSC(desc_826 + 44, 1308, 825);
	IDSC(desc_826 + 54, 86, 825);
}


#ifdef __cplusplus
}
#endif
